File python-azure-mgmt-storage.changes of Package python-azure-mgmt-storage

-------------------------------------------------------------------
Mon Apr 15 09:24:33 UTC 2019 - John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>

- New upstream release
  + Version 3.1.1
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
- Add patch to drop extras_require field from setup.py,
  required for SLES12 as the setuptools version is too old
  + ams_drop-extras-require.patch
- Bump minimum version for namespace packages
  to 3.0.0 in BuildRequires and Requires
- Remove python-devel package from BuildRequires
- Refresh patches for new version
  + ams_drop-compatible-releases-operator.patch
- Run fdupes to hardlink duplicate files
  + Add fdupes to BuildRequires
  + Add %fdupes invocation to %install
- Update BuildRequires and Requires from setup.py

-------------------------------------------------------------------
Thu Sep  6 11:50:43 UTC 2018 - John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>

- New upstream release
  + Version 2.0.0
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
- Move LICENSE.txt from %doc to %license section
- Refresh patches for new version
  + ams_drop-compatible-releases-operator.patch
- Update Requires from setup.py
- Update %description from setup.py

-------------------------------------------------------------------
Fri Jan 19 14:19:54 UTC 2018 - adrian.glaubitz@suse.com

- New upstream release
  + Version 1.5.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Install HISTORY.rst into doc directory

-------------------------------------------------------------------
Wed Oct  4 15:56:59 UTC 2017 - adrian.glaubitz@suse.com

- New upstream release
  + Version 1.4.0
- Remove versioning for namespace packages in Requires
- Update Requires from setup.py
- Add namespace packages to BuildRequires
- Remove namespace files in %install target
- Explicitly specify Python files of the package in %files

-------------------------------------------------------------------
Tue Sep 12 09:15:58 UTC 2017 - adrian.glaubitz@suse.com

- New upstream release
  + Version 1.2.1
- Update Requires from upstream setup.py
  + Bump python-msrestazure Requires to 0.4.11
- Update Summary and Description from upstream
- Update patch to drop compatible releases operator from setup.py
  + ams_drop-compatible-releases-operator.patch

-------------------------------------------------------------------
Fri Jul 14 12:52:16 UTC 2017 - adrian.glaubitz@suse.com

- Add python-azure-nspkg to Requires
- Add python-azure-mgmt-nspkg to Requires

-------------------------------------------------------------------
Thu Jun 29 09:50:40 UTC 2017 - adrian.glaubitz@suse.com

- Initial build
  + Version 1.1.0
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + ams_drop-compatible-releases-operator.patch